using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.SE
{
    /// <summary>
    /// 安全意识调查人员
    /// </summary>
    [Description("安全意识调查人员")]
    public class T_SE_SAFE_SURVEY_USER : MesEntityBase
    {
        /// <summary>
        /// 安全意识调查
        /// </summary>
        [Description("安全意识调查")]
        [FormFieldTable]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_Survey", "Nav_ListUsers")]
        public Guid SURVEY_ID { get; set; }

        /// <summary>
        /// 安全意识调查
        /// </summary>
        [Description("安全意识调查")]
        public T_SE_SAFE_SURVEY Nav_Survey { get; set; }

        /// <summary>
        /// 人员
        /// </summary>
        [Description("人员")]
        [DataFieldForeignKey("Nav_User")]
        public Guid USER_ID { get; set; }

        /// <summary>
        /// 人员
        /// </summary>
        [Description("人员")]
        [FormFieldTable]
        [FormFieldEdit]
        public T_FM_USER Nav_User { get; set; }

        /// <summary>
        /// 人员组织
        /// </summary>
        [Description("人员组织")]
        [DataFieldForeignKey("Nav_Department")]
        public Guid DEPARTMENT_ID { get; set; }

        /// <summary>
        /// 人员组织
        /// </summary>
        [Description("人员组织")]
        [FormFieldTable]
        [FormFieldEdit]
        public T_FM_DEPARTMENT Nav_Department { get; set; }
    }
}
